implicit real*8(a-h,o-z)
dimension nsetten(60000), x(60000), y(60000), z(60000)
      character mozi*20
      read(*,*) mozi
      read(*,*) mozi
      nyou=56823
      r=2.678d-5
      h=1.024d-4
      pi=asin(1.0)*2.d0
      th=pi/6.d0
      do i=1,nyou
      read(*,*) nsetten(i), x(i), y(i), z(i)
      end do
!
      do nth=0,11
      do i=1, nyou
      c=r*cos(nth*th)
      s=r*sin(nth*th)
      if(z(i)>h) then
          if((0.99*c<abs(x(i))).and.(abs(x(i))<1.01*c)) then
              if((0.99*s<abs(y(i))).and.(abs(y(i))<1.01*s)) then
                  write(*,*) nsetten(i),',', x(i),',', y(i),',',  z(i)
              end if
          end if
      end if
      end do
      end do
      end
